### Method

# Gtk Text set_visibility

#### Declaration [src]

    void
    gtk_text_set_visibility (
      GtkText* self,
      gboolean visible
    )

#### Description [src]

Sets whether the contents of the text widget are visible or not.

When visibility is set to false, characters are displayed as the invisible char, and it will also appear that way when the text in the widget is copied to the clipboard.

By default, GTK picks the best invisible character available in the current font, but it can be changed with `gtk_text_set_invisible_char()`.

Note that you probably want to set `GtkText:input-purpose` to `GTK_INPUT_PURPOSE_PASSWORD` or `GTK_INPUT_PURPOSE_PIN` to inform input methods about the purpose of this widget, in addition to setting visibility to false.

Sets property | `Gtk.Text:visibility`

#### Parameters

`visible`

  Type: `gboolean`

  True if the contents of the text widget are displayed as plain text.